=== debian/changelog ===
mapserver (7.2.0-5) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0, no changes.
  * Add patch to fix FTBFS with CMake 3.12.x.
    (closes: #906605)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Aug 2018 09:45:57 +0200

mapserver (7.2.0-4) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 21:45:41 +0200

mapserver (7.2.0-3) unstable; urgency=medium

  * Add upstream patch to update HISTORY.TXT for 7.2.0 release.
  * Update symbols for mipsel.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 20:02:20 +0200

mapserver (7.2.0-2) unstable; urgency=medium

  * Add patch to remove -beta2 version suffix.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 14:11:34 +0200

mapserver (7.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update symbols for amd64.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 08:08:43 +0200

mapserver (7.2.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jun 2018 18:15:40 +0200

mapserver (7.2.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.4, no changes.
  * Fix deprecated source override location.
  * Update watch file to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from control & rules files.
  * Update copyright file, changes:
    - Update copyright years for existing copyright holders
    - Update license for Bison files
    - Drop license & copyright for pygdioctx, removed upstream
  * Add protobuf build dependencies for MVT support.
  * Drop obsolete dbg package.
  * Replace /usr/lib/cgi-bin/mapserv with symlink to /usr/bin/mapserv.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 May 2018 22:21:12 +0200
