=== debian/changelog ===
mapserver (7.2.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Feb 2019 05:43:10 +0100

mapserver (7.2.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add Build-Depends-Package field to symbols file.
  * Bump Standards-Version to 4.3.0, no changes.
  * Refresh patches.
  * Update copyright years for Open Source Geospatial Foundation.
  * Update symbols for amd64.
  * Add lintian overrides for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Feb 2019 18:07:57 +0100
