=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
                docbook-xml,
                xsltproc
 Build-Conflicts: libcurl3-openssl-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapserver
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapserver.git
 Homepage: http://www.mapserver.org
